import request from '@/utils/request'

// 查询职业专业关联列表
export function listCareerMajor(query) {
  return request({
    url: '/mall/CareerMajor/list',
    method: 'get',
    params: query
  })
}

// 查询职业专业关联详细
export function getCareerMajor(linkId) {
  return request({
    url: '/mall/CareerMajor/' + linkId,
    method: 'get'
  })
}

// 新增职业专业关联
export function addCareerMajor(data) {
  return request({
    url: '/mall/CareerMajor',
    method: 'post',
    data: data
  })
}

// 修改职业专业关联
export function updateCareerMajor(data) {
  return request({
    url: '/mall/CareerMajor',
    method: 'put',
    data: data
  })
}

// 删除职业专业关联
export function delCareerMajor(linkId) {
  return request({
    url: '/mall/CareerMajor/' + linkId,
    method: 'delete'
  })
}
